Skip to main content
POST
Python

Authorizations

Authorization
string
header
required

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

Path Parameters

project_id
string
required

Unique identifier of the project.

Body

application/json
url
string
required

URL endpoint for the webhook.

name
string

Name of the webhook

event_types
enum<string>[]

List of event types to subscribe to.

Available options:
memory:add,
memory:update,
memory:delete,
memory:categorize
is_active
boolean

Whether the webhook is active

project_id
string

Unique identifier of the project.

Response

Webhook created successfully

webhook_id
string
name
string
url
string
event_types
string[]
is_active
boolean
project
string
created_at
string<date-time>
updated_at
string<date-time>